Subject: bug#9923: 24.0.91; `where-is' does not find recentf menu items (cmds, not files)

From: Juri Linkov <[email-masked]>
Date: Wed, 08 Dec 2021 22:32:17 +0200

>> I confirm that it prevents `where-is-internal` from calling `context-menu-map`,
>> and everything else works fine, but I'm not sure how this change fits
>> into the overall design of the menu bindings.  Maybe, `make-sparse-keymap`
>> means that `context-menu-entry` contains an empty menu initially.
>
> No, it's just that `where-is-internal` by-and-large doesn't run the
> `:filter`s when doing its search, so instead of seeing a binding to
> `ignore` it will see a binding to an empty keymap.
>
> As we've seen `where-is-internal` does end up running the `:filter`
> sometimes, but it's only done on those few bindings that match.
>
> When building a menu, the `ignore` or the empty keymap won't be used at
> all (their only use will be to pass them to the `:filter` function,
> which ignores that argument).  That's why the "binding" is currently
> called `ignore`: not because we want to use the `ignore` command but as
> a way to say "this is not used".

I pushed this fix to master, but not sure if it should be backported to emacs-28.